OpenJPEG: Data Structures

OpenJPEG 2.1.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Structures
Here are the data structures with brief descriptions:

C aux_response_param |
C auxtrans_param | Auxiliary transport setting parameters
C box_param | Box parameters
C boxcontents_param |
C boxheader_param | Box header parameters
C boxlist_param | Box list parameters
C cache_param | Cache parameters
C cachelist_param |
C cachemodel_param | Cache model parameters
C cachemodellist_param | Cache model list parameters
C channel_param | Channel parameters
C channellist_param | Channel list parameters
C codestream_param | Codestream parameters
C CODmarker_param | A.6.1 Coding style default (COD)
C dec_server_record | Decoding server static records
C dwt_local |
C faixbox_param | Fragment array index box parameters
C faixelem4_param | 4byte parameters of a faix element
C faixelem8_param | 8byte parameters of a faix element
C ihdrbox_param | I.5.3.1 Image Header box
C imgreg_param | Image region parameters
C index_param | Index parameters
C j2k_prog_order |
C jpip_dec_param | JPIP decoding parameters
C manfbox_param | Manifest box parameters
C marker_param | Marker parameters
C markeridx_param | Marker index parameters
C message_param | Message parameters
C metadata_param | Metadata-bin parameters
C metadatalist_param | Metadata-bin list parameters
C mhixbox_param | Header index table box parameters
C msgqueue_param | Message queue parameters
C opj_bio | Individual bit input-output stream (BIO)
C opj_codec_private | Main codec handler used for compression or decompression
C opj_codestream_index | Index structure of the codestream (FIXME should be expand and enhance)
C opj_codestream_info | Index structure of the codestream
C opj_codestream_info_v2 | Information structure about the codestream (FIXME should be expand and enhance)
C opj_cp | Coding parameters
C opj_cparameters | Compression parameters
C opj_dec_memory_marker_handler |
C opj_decoding_param |
C opj_dparameters | Decompression parameters
C opj_encoding_param |
C opj_event_mgr | Message handler object used for
C opj_image | Defines image data and characteristics
C opj_image_comp | Defines a single image component
C opj_image_comptparm | Component parameters structure used by the opj_image_create function
C opj_j2k | JPEG-2000 codestream reader/writer
C opj_j2k_dec |
C opj_j2k_enc |
C opj_jp2 | JPEG-2000 file format reader/writer
C opj_jp2_box | JP2 Box
C opj_jp2_cdef | Channel descriptions and number of descriptions
C opj_jp2_cdef_info | Channel description: channel index, type, association
C opj_jp2_cmap_comp | Component mappings: channel index, mapping type, palette index
C opj_jp2_color | Collector for ICC profile, palette, component mapping, channel description
C opj_jp2_comps | JP2 component
C opj_jp2_header_handler |
C opj_jp2_img_header_writer_handler |
C opj_jp2_index | Index structure of the JP2 file EXPERIMENTAL FOR THE MOMENT
C opj_jp2_metadata | Info structure of the JP2 file EXPERIMENTAL FOR THE MOMENT
C opj_jp2_pclr | Palette data: table entries, palette columns
C opj_marker_info | Marker structure
C opj_mct_data | FIXME DOC
C opj_mqc | MQ coder
C opj_mqc_state | This struct defines the state of a context
C opj_packet_info | Index structure : Information concerning a packet inside tile
C opj_pi_comp | FIXME DOC
C opj_pi_iterator | Packet iterator
C opj_pi_resolution | FIXME DOC
C opj_poc | Progression order changes
C opj_ppx_struct |
C opj_procedure_list | A list of procedures
C opj_raw | RAW encoding operations
C opj_simple_mcc_decorrelation_data | FIXME DOC
C opj_stepsize | Quantization stepsize
C opj_stream_private | Byte input-output stream
C opj_t1 | Tier-1 coding (coding of code-block coefficients)
C opj_t2 | Tier-2 coding
C opj_tccp | Tile-component coding parameters
C opj_tccp_info | Tile-component coding parameters information
C opj_tcd | Tile coder/decoder
C opj_tcd_band | FIXME DOC
C opj_tcd_cblk_dec |
C opj_tcd_cblk_enc | FIXME DOC
C opj_tcd_image | FIXME DOC
C opj_tcd_layer | FIXME DOC
C opj_tcd_pass | FIXME DOC
C opj_tcd_precinct | FIXME DOC
C opj_tcd_resolution | FIXME DOC
C opj_tcd_seg | FIXME DOC
C opj_tcd_tile | FIXME DOC
C opj_tcd_tilecomp | FIXME DOC
C opj_tcp | Tile coding parameters : this structure is used to store coding/decoding parameters common to all tiles (information like COD, COC in main header)
C opj_tgt_node | Tag node
C opj_tgt_tree | Tag tree
C opj_tile_index | Index structure about a tile
C opj_tile_info | Index structure : information regarding tiles
C opj_tile_v2_info | Tile coding parameters information
C opj_tp_index | Index structure about a tile part
C opj_tp_info | Index structure : Information concerning tile-parts
C opj_v4_t |
C placeholder_param | A.3.6.3 Placeholder box format
C placeholderlist_param | Placeholder box list parameters
C query_param | Query parameters
C range_param | 1-dimensional range parameters
C session_param | Session parameters
C sessionlist_param | Session list parameters
C SIZmarker_param | Progression order
C subfaixbox4_param | 4byte parameters of fragment array index box
C subfaixbox8_param | 8byte parameters of fragment array index box
C subfaixbox_param | Variable sized parameters in fragment array index box
C target_param | Target parameters
C targetlist_param | Target list parameters
C v4dwt_local |